import clsx from 'clsx';
import { SVGProps } from 'react-html-props';
const InstagramSVG = ({ className, ...props }: SVGProps) => {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width="16"
      height="16"
      viewBox="0 0 16 16"
      className={clsx('fill-current', className)}
      {...props}
    >
      <path
        d="M4.364,16A4.376,4.376,0,0,1,0,11.637V4.364A4.377,4.377,0,0,1,4.364,0h7.273A4.376,4.376,0,0,1,16,4.364v7.273A4.376,4.376,0,0,1,11.637,16ZM1.454,4.364v7.273a2.918,2.918,0,0,0,2.91,2.909h7.273a2.918,2.918,0,0,0,2.909-2.909V4.364a2.918,2.918,0,0,0-2.909-2.91H4.364A2.918,2.918,0,0,0,1.454,4.364ZM5.818,10.91a3.65,3.65,0,0,1-1.454-2.4A3.784,3.784,0,0,1,7.491,4.364a2.758,2.758,0,0,1,1.091,0,3.549,3.549,0,0,1,3.055,3.054,3.588,3.588,0,0,1-.655,2.691,3.649,3.649,0,0,1-2.4,1.455c-.218,0-.363.073-.582.073A3.435,3.435,0,0,1,5.818,10.91Zm.073-2.618a2.151,2.151,0,0,0,2.473,1.818,2.062,2.062,0,0,0,1.454-.873A2.123,2.123,0,0,0,8.437,5.818H7.709A2.151,2.151,0,0,0,5.891,8.291Zm5.6-3.782c-.073-.073-.146-.145-.146-.218-.073-.073-.073-.146-.073-.291a.66.66,0,0,1,.219-.509.7.7,0,0,1,1.018,0A.662.662,0,0,1,12.727,4a.439.439,0,0,1-.073.291c-.073.073-.073.145-.145.218a.7.7,0,0,1-1.018,0Z"
        fill="#fff"
      />
    </svg>
  );
};

export default InstagramSVG;
